# dependencies.sh - vdrdevel plugins depend on the current vdrdevel version
#
# This script is called in debian/rules of vdrdevel plugins:
#    sh /usr/share/vdrdevel-dev/dependencies.sh
#
# It sets a dependency to the current vdrdevel version for all binary packages of the
# plugin package. The current vdrdevel version is the version of the vdrdevel-dev package
# used to compile the plugin package.
#
# This script sets the substitution variable "vdrdevel:Depends" which is used in the
# debian/control file of vdrdevel plugins, e.g.:
#    Depends: ${vdrdevel:Depends}

set -e

ABI_VERSION=`cat /usr/share/vdrdevel-dev/abi-version`

# A plugin requires exactly the VDR ABI version it was compiled for
for p in $(dh_listpackages); do
    echo "vdrdevel:Depends=$ABI_VERSION" >> debian/$p.substvars
done
